]> git.ipfire.org Git - thirdparty/gcc.git/blame - libf2c/libF77/configure
OutputStreamWriter.java: (flush, writeChars): Throw IOException if stream closed.
[thirdparty/gcc.git] / libf2c / libF77 / configure
CommitLineData
b53c05f5
DL
1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
7a48ce6d 4# Generated automatically using autoconf version 2.13
b53c05f5
DL
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14
15# Initialize some variables set by options.
16# The variables have the same names as the options, with
17# dashes changed to underlines.
18build=NONE
19cache_file=./config.cache
20exec_prefix=NONE
21host=NONE
22no_create=
23nonopt=NONE
24no_recursion=
25prefix=NONE
26program_prefix=NONE
27program_suffix=NONE
28program_transform_name=s,x,x,
29silent=
30site=
31srcdir=
32target=NONE
33verbose=
34x_includes=NONE
35x_libraries=NONE
36bindir='${exec_prefix}/bin'
37sbindir='${exec_prefix}/sbin'
38libexecdir='${exec_prefix}/libexec'
39datadir='${prefix}/share'
40sysconfdir='${prefix}/etc'
41sharedstatedir='${prefix}/com'
42localstatedir='${prefix}/var'
43libdir='${exec_prefix}/lib'
44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
52SHELL=${CONFIG_SHELL-/bin/sh}
53# Maximum number of lines to put in a shell here document.
54ac_max_here_lines=12
55
56ac_prev=
57for ac_option
58do
59
60 # If the previous option needs an argument, assign it.
61 if test -n "$ac_prev"; then
62 eval "$ac_prev=\$ac_option"
63 ac_prev=
64 continue
65 fi
66
67 case "$ac_option" in
68 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
69 *) ac_optarg= ;;
70 esac
71
72 # Accept the important Cygnus configure options, so we can diagnose typos.
73
74 case "$ac_option" in
75
76 -bindir | --bindir | --bindi | --bind | --bin | --bi)
77 ac_prev=bindir ;;
78 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
79 bindir="$ac_optarg" ;;
80
81 -build | --build | --buil | --bui | --bu)
82 ac_prev=build ;;
83 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
84 build="$ac_optarg" ;;
85
86 -cache-file | --cache-file | --cache-fil | --cache-fi \
87 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
88 ac_prev=cache_file ;;
89 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
90 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
91 cache_file="$ac_optarg" ;;
92
93 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
94 ac_prev=datadir ;;
95 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
96 | --da=*)
97 datadir="$ac_optarg" ;;
98
99 -disable-* | --disable-*)
100 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
101 # Reject names that are not valid shell variable names.
102 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
103 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
104 fi
105 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
106 eval "enable_${ac_feature}=no" ;;
107
108 -enable-* | --enable-*)
109 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
110 # Reject names that are not valid shell variable names.
111 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
112 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
113 fi
114 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
115 case "$ac_option" in
116 *=*) ;;
117 *) ac_optarg=yes ;;
118 esac
119 eval "enable_${ac_feature}='$ac_optarg'" ;;
120
121 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
122 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
123 | --exec | --exe | --ex)
124 ac_prev=exec_prefix ;;
125 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
126 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
127 | --exec=* | --exe=* | --ex=*)
128 exec_prefix="$ac_optarg" ;;
129
130 -gas | --gas | --ga | --g)
131 # Obsolete; use --with-gas.
132 with_gas=yes ;;
133
134 -help | --help | --hel | --he)
135 # Omit some internal or obsolete options to make the list less imposing.
136 # This message is too long to be a string in the A/UX 3.1 sh.
137 cat << EOF
138Usage: configure [options] [host]
139Options: [defaults in brackets after descriptions]
140Configuration:
141 --cache-file=FILE cache test results in FILE
142 --help print this message
143 --no-create do not create output files
144 --quiet, --silent do not print \`checking...' messages
145 --version print the version of autoconf that created configure
146Directory and file names:
147 --prefix=PREFIX install architecture-independent files in PREFIX
148 [$ac_default_prefix]
149 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
150 [same as prefix]
151 --bindir=DIR user executables in DIR [EPREFIX/bin]
152 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
153 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
154 --datadir=DIR read-only architecture-independent data in DIR
155 [PREFIX/share]
156 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
157 --sharedstatedir=DIR modifiable architecture-independent data in DIR
158 [PREFIX/com]
159 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
160 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
161 --includedir=DIR C header files in DIR [PREFIX/include]
162 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
163 --infodir=DIR info documentation in DIR [PREFIX/info]
164 --mandir=DIR man documentation in DIR [PREFIX/man]
165 --srcdir=DIR find the sources in DIR [configure dir or ..]
166 --program-prefix=PREFIX prepend PREFIX to installed program names
167 --program-suffix=SUFFIX append SUFFIX to installed program names
168 --program-transform-name=PROGRAM
169 run sed PROGRAM on installed program names
170EOF
171 cat << EOF
172Host type:
173 --build=BUILD configure for building on BUILD [BUILD=HOST]
174 --host=HOST configure for HOST [guessed]
175 --target=TARGET configure for TARGET [TARGET=HOST]
176Features and packages:
177 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
178 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
179 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
180 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
181 --x-includes=DIR X include files are in DIR
182 --x-libraries=DIR X library files are in DIR
183EOF
184 if test -n "$ac_help"; then
185 echo "--enable and --with options recognized:$ac_help"
186 fi
187 exit 0 ;;
188
189 -host | --host | --hos | --ho)
190 ac_prev=host ;;
191 -host=* | --host=* | --hos=* | --ho=*)
192 host="$ac_optarg" ;;
193
194 -includedir | --includedir | --includedi | --included | --include \
195 | --includ | --inclu | --incl | --inc)
196 ac_prev=includedir ;;
197 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
198 | --includ=* | --inclu=* | --incl=* | --inc=*)
199 includedir="$ac_optarg" ;;
200
201 -infodir | --infodir | --infodi | --infod | --info | --inf)
202 ac_prev=infodir ;;
203 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
204 infodir="$ac_optarg" ;;
205
206 -libdir | --libdir | --libdi | --libd)
207 ac_prev=libdir ;;
208 -libdir=* | --libdir=* | --libdi=* | --libd=*)
209 libdir="$ac_optarg" ;;
210
211 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
212 | --libexe | --libex | --libe)
213 ac_prev=libexecdir ;;
214 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
215 | --libexe=* | --libex=* | --libe=*)
216 libexecdir="$ac_optarg" ;;
217
218 -localstatedir | --localstatedir | --localstatedi | --localstated \
219 | --localstate | --localstat | --localsta | --localst \
220 | --locals | --local | --loca | --loc | --lo)
221 ac_prev=localstatedir ;;
222 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
223 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
224 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
225 localstatedir="$ac_optarg" ;;
226
227 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
228 ac_prev=mandir ;;
229 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
230 mandir="$ac_optarg" ;;
231
232 -nfp | --nfp | --nf)
233 # Obsolete; use --without-fp.
234 with_fp=no ;;
235
236 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
237 | --no-cr | --no-c)
238 no_create=yes ;;
239
240 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
241 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
242 no_recursion=yes ;;
243
244 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
245 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
246 | --oldin | --oldi | --old | --ol | --o)
247 ac_prev=oldincludedir ;;
248 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
249 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
250 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
251 oldincludedir="$ac_optarg" ;;
252
253 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
254 ac_prev=prefix ;;
255 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
256 prefix="$ac_optarg" ;;
257
258 -program-prefix | --program-prefix | --program-prefi | --program-pref \
259 | --program-pre | --program-pr | --program-p)
260 ac_prev=program_prefix ;;
261 -program-prefix=* | --program-prefix=* | --program-prefi=* \
262 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
263 program_prefix="$ac_optarg" ;;
264
265 -program-suffix | --program-suffix | --program-suffi | --program-suff \
266 | --program-suf | --program-su | --program-s)
267 ac_prev=program_suffix ;;
268 -program-suffix=* | --program-suffix=* | --program-suffi=* \
269 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
270 program_suffix="$ac_optarg" ;;
271
272 -program-transform-name | --program-transform-name \
273 | --program-transform-nam | --program-transform-na \
274 | --program-transform-n | --program-transform- \
275 | --program-transform | --program-transfor \
276 | --program-transfo | --program-transf \
277 | --program-trans | --program-tran \
278 | --progr-tra | --program-tr | --program-t)
279 ac_prev=program_transform_name ;;
280 -program-transform-name=* | --program-transform-name=* \
281 | --program-transform-nam=* | --program-transform-na=* \
282 | --program-transform-n=* | --program-transform-=* \
283 | --program-transform=* | --program-transfor=* \
284 | --program-transfo=* | --program-transf=* \
285 | --program-trans=* | --program-tran=* \
286 | --progr-tra=* | --program-tr=* | --program-t=*)
287 program_transform_name="$ac_optarg" ;;
288
289 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
290 | -silent | --silent | --silen | --sile | --sil)
291 silent=yes ;;
292
293 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
294 ac_prev=sbindir ;;
295 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
296 | --sbi=* | --sb=*)
297 sbindir="$ac_optarg" ;;
298
299 -sharedstatedir | --sharedstatedir | --sharedstatedi \
300 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
301 | --sharedst | --shareds | --shared | --share | --shar \
302 | --sha | --sh)
303 ac_prev=sharedstatedir ;;
304 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
305 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
306 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
307 | --sha=* | --sh=*)
308 sharedstatedir="$ac_optarg" ;;
309
310 -site | --site | --sit)
311 ac_prev=site ;;
312 -site=* | --site=* | --sit=*)
313 site="$ac_optarg" ;;
314
315 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
316 ac_prev=srcdir ;;
317 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
318 srcdir="$ac_optarg" ;;
319
320 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
321 | --syscon | --sysco | --sysc | --sys | --sy)
322 ac_prev=sysconfdir ;;
323 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
324 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
325 sysconfdir="$ac_optarg" ;;
326
327 -target | --target | --targe | --targ | --tar | --ta | --t)
328 ac_prev=target ;;
329 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
330 target="$ac_optarg" ;;
331
332 -v | -verbose | --verbose | --verbos | --verbo | --verb)
333 verbose=yes ;;
334
335 -version | --version | --versio | --versi | --vers)
7a48ce6d 336 echo "configure generated by autoconf version 2.13"
b53c05f5
DL
337 exit 0 ;;
338
339 -with-* | --with-*)
340 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
341 # Reject names that are not valid shell variable names.
342 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
343 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
344 fi
345 ac_package=`echo $ac_package| sed 's/-/_/g'`
346 case "$ac_option" in
347 *=*) ;;
348 *) ac_optarg=yes ;;
349 esac
350 eval "with_${ac_package}='$ac_optarg'" ;;
351
352 -without-* | --without-*)
353 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
354 # Reject names that are not valid shell variable names.
355 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
356 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
357 fi
358 ac_package=`echo $ac_package| sed 's/-/_/g'`
359 eval "with_${ac_package}=no" ;;
360
361 --x)
362 # Obsolete; use --with-x.
363 with_x=yes ;;
364
365 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
366 | --x-incl | --x-inc | --x-in | --x-i)
367 ac_prev=x_includes ;;
368 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
369 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
370 x_includes="$ac_optarg" ;;
371
372 -x-libraries | --x-libraries | --x-librarie | --x-librari \
373 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
374 ac_prev=x_libraries ;;
375 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
376 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
377 x_libraries="$ac_optarg" ;;
378
379 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
380 ;;
381
382 *)
383 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
384 echo "configure: warning: $ac_option: invalid host type" 1>&2
385 fi
386 if test "x$nonopt" != xNONE; then
387 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
388 fi
389 nonopt="$ac_option"
390 ;;
391
392 esac
393done
394
395if test -n "$ac_prev"; then
396 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
397fi
398
399trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
400
401# File descriptor usage:
402# 0 standard input
403# 1 file creation
404# 2 errors and warnings
405# 3 some systems may open it to /dev/tty
406# 4 used on the Kubota Titan
407# 6 checking for... messages and results
408# 5 compiler messages saved in config.log
409if test "$silent" = yes; then
410 exec 6>/dev/null
411else
412 exec 6>&1
413fi
414exec 5>./config.log
415
416echo "\
417This file contains any messages produced by compilers while
418running configure, to aid debugging if configure makes a mistake.
419" 1>&5
420
421# Strip out --no-create and --no-recursion so they do not pile up.
422# Also quote any args containing shell metacharacters.
423ac_configure_args=
424for ac_arg
425do
426 case "$ac_arg" in
427 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
428 | --no-cr | --no-c) ;;
429 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
430 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
431 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
432 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
433 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
434 esac
435done
436
437# NLS nuisances.
438# Only set these to C if already set. These must not be set unconditionally
439# because not all systems understand e.g. LANG=C (notably SCO).
440# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
441# Non-C LC_CTYPE values break the ctype check.
442if test "${LANG+set}" = set; then LANG=C; export LANG; fi
443if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
444if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
445if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
446
447# confdefs.h avoids OS command line length limits that DEFS can exceed.
448rm -rf conftest* confdefs.h
449# AIX cpp loses on an empty file, so make sure it contains at least a newline.
450echo > confdefs.h
451
452# A filename unique to this package, relative to the directory that
453# configure is in, which we can look for to find out if srcdir is correct.
454ac_unique_file=getarg_.c
455
456# Find the source files, if location was not specified.
457if test -z "$srcdir"; then
458 ac_srcdir_defaulted=yes
459 # Try the directory containing this script, then its parent.
460 ac_prog=$0
461 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
462 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
463 srcdir=$ac_confdir
464 if test ! -r $srcdir/$ac_unique_file; then
465 srcdir=..
466 fi
467else
468 ac_srcdir_defaulted=no
469fi
470if test ! -r $srcdir/$ac_unique_file; then
471 if test "$ac_srcdir_defaulted" = yes; then
472 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
473 else
474 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
475 fi
476fi
477srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
478
479# Prefer explicitly selected file to automatically selected ones.
480if test -z "$CONFIG_SITE"; then
481 if test "x$prefix" != xNONE; then
482 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
483 else
484 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
485 fi
486fi
487for ac_site_file in $CONFIG_SITE; do
488 if test -r "$ac_site_file"; then
489 echo "loading site script $ac_site_file"
490 . "$ac_site_file"
491 fi
492done
493
494if test -r "$cache_file"; then
495 echo "loading cache $cache_file"
496 . $cache_file
497else
498 echo "creating cache $cache_file"
499 > $cache_file
500fi
501
502ac_ext=c
503# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
504ac_cpp='$CPP $CPPFLAGS'
505ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
7a48ce6d 506ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
b53c05f5
DL
507cross_compiling=$ac_cv_prog_cc_cross
508
7a48ce6d
CB
509ac_exeext=
510ac_objext=o
b53c05f5
DL
511if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
512 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
513 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
514 ac_n= ac_c='
515' ac_t=' '
516 else
517 ac_n=-n ac_c= ac_t=
518 fi
519else
520 ac_n= ac_c='\c' ac_t=
521fi
522
523
524
525# For g77 we'll set CC to point at the built gcc, but this will get it into
526# the makefiles
527# Extract the first word of "gcc", so it can be a program name with args.
528set dummy gcc; ac_word=$2
529echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
7a48ce6d 530echo "configure:531: checking for $ac_word" >&5
b53c05f5
DL
531if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
532 echo $ac_n "(cached) $ac_c" 1>&6
533else
534 if test -n "$CC"; then
535 ac_cv_prog_CC="$CC" # Let the user override the test.
536else
7a48ce6d
CB
537 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
538 ac_dummy="$PATH"
539 for ac_dir in $ac_dummy; do
b53c05f5
DL
540 test -z "$ac_dir" && ac_dir=.
541 if test -f $ac_dir/$ac_word; then
542 ac_cv_prog_CC="gcc"
543 break
544 fi
545 done
546 IFS="$ac_save_ifs"
547fi
548fi
549CC="$ac_cv_prog_CC"
550if test -n "$CC"; then
551 echo "$ac_t""$CC" 1>&6
552else
553 echo "$ac_t""no" 1>&6
554fi
555
556if test -z "$CC"; then
557 # Extract the first word of "cc", so it can be a program name with args.
558set dummy cc; ac_word=$2
559echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
7a48ce6d 560echo "configure:561: checking for $ac_word" >&5
b53c05f5
DL
561if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
562 echo $ac_n "(cached) $ac_c" 1>&6
563else
564 if test -n "$CC"; then
565 ac_cv_prog_CC="$CC" # Let the user override the test.
566else
7a48ce6d 567 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
b53c05f5 568 ac_prog_rejected=no
7a48ce6d
CB
569 ac_dummy="$PATH"
570 for ac_dir in $ac_dummy; do
b53c05f5
DL
571 test -z "$ac_dir" && ac_dir=.
572 if test -f $ac_dir/$ac_word; then
573 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
574 ac_prog_rejected=yes
575 continue
576 fi
577 ac_cv_prog_CC="cc"
578 break
579 fi
580 done
581 IFS="$ac_save_ifs"
582if test $ac_prog_rejected = yes; then
583 # We found a bogon in the path, so make sure we never use it.
584 set dummy $ac_cv_prog_CC
585 shift
586 if test $# -gt 0; then
587 # We chose a different compiler from the bogus one.
588 # However, it has the same basename, so the bogon will be chosen
589 # first if we set CC to just the basename; use the full file name.
590 shift
591 set dummy "$ac_dir/$ac_word" "$@"
592 shift
593 ac_cv_prog_CC="$@"
594 fi
595fi
596fi
597fi
598CC="$ac_cv_prog_CC"
599if test -n "$CC"; then
600 echo "$ac_t""$CC" 1>&6
601else
602 echo "$ac_t""no" 1>&6
603fi
604
7a48ce6d
CB
605 if test -z "$CC"; then
606 case "`uname -s`" in
607 *win32* | *WIN32*)
608 # Extract the first word of "cl", so it can be a program name with args.
609set dummy cl; ac_word=$2
610echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
611echo "configure:612: checking for $ac_word" >&5
612if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
613 echo $ac_n "(cached) $ac_c" 1>&6
614else
615 if test -n "$CC"; then
616 ac_cv_prog_CC="$CC" # Let the user override the test.
617else
618 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
619 ac_dummy="$PATH"
620 for ac_dir in $ac_dummy; do
621 test -z "$ac_dir" && ac_dir=.
622 if test -f $ac_dir/$ac_word; then
623 ac_cv_prog_CC="cl"
624 break
625 fi
626 done
627 IFS="$ac_save_ifs"
628fi
629fi
630CC="$ac_cv_prog_CC"
631if test -n "$CC"; then
632 echo "$ac_t""$CC" 1>&6
633else
634 echo "$ac_t""no" 1>&6
635fi
636 ;;
637 esac
638 fi
b53c05f5
DL
639 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
640fi
641
642echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
7a48ce6d 643echo "configure:644: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
b53c05f5
DL
644
645ac_ext=c
646# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
647ac_cpp='$CPP $CPPFLAGS'
648ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
7a48ce6d 649ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
b53c05f5
DL
650cross_compiling=$ac_cv_prog_cc_cross
651
7a48ce6d
CB
652cat > conftest.$ac_ext << EOF
653
654#line 655 "configure"
b53c05f5 655#include "confdefs.h"
7a48ce6d 656
b53c05f5
DL
657main(){return(0);}
658EOF
7a48ce6d 659if { (eval echo configure:660: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
b53c05f5
DL
660 ac_cv_prog_cc_works=yes
661 # If we can't run a trivial program, we are probably using a cross compiler.
662 if (./conftest; exit) 2>/dev/null; then
663 ac_cv_prog_cc_cross=no
664 else
665 ac_cv_prog_cc_cross=yes
666 fi
667else
668 echo "configure: failed program was:" >&5
669 cat conftest.$ac_ext >&5
670 ac_cv_prog_cc_works=no
671fi
672rm -fr conftest*
7a48ce6d
CB
673ac_ext=c
674# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
675ac_cpp='$CPP $CPPFLAGS'
676ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
677ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
678cross_compiling=$ac_cv_prog_cc_cross
b53c05f5
DL
679
680echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
681if test $ac_cv_prog_cc_works = no; then
682 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
683fi
684echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
7a48ce6d 685echo "configure:686: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
b53c05f5
DL
686echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
687cross_compiling=$ac_cv_prog_cc_cross
688
689echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
7a48ce6d 690echo "configure:691: checking whether we are using GNU C" >&5
b53c05f5
DL
691if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
692 echo $ac_n "(cached) $ac_c" 1>&6
693else
694 cat > conftest.c <<EOF
695#ifdef __GNUC__
696 yes;
697#endif
698EOF
7a48ce6d 699if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:700: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
b53c05f5
DL
700 ac_cv_prog_gcc=yes
701else
702 ac_cv_prog_gcc=no
703fi
704fi
705
706echo "$ac_t""$ac_cv_prog_gcc" 1>&6
707
708if test $ac_cv_prog_gcc = yes; then
709 GCC=yes
7a48ce6d
CB
710else
711 GCC=
712fi
713
714ac_test_CFLAGS="${CFLAGS+set}"
715ac_save_CFLAGS="$CFLAGS"
716CFLAGS=
717echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
718echo "configure:719: checking whether ${CC-cc} accepts -g" >&5
b53c05f5
DL
719if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
720 echo $ac_n "(cached) $ac_c" 1>&6
721else
722 echo 'void f(){}' > conftest.c
723if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
724 ac_cv_prog_cc_g=yes
725else
726 ac_cv_prog_cc_g=no
727fi
728rm -f conftest*
729
730fi
731
732echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
7a48ce6d
CB
733if test "$ac_test_CFLAGS" = set; then
734 CFLAGS="$ac_save_CFLAGS"
735elif test $ac_cv_prog_cc_g = yes; then
736 if test "$GCC" = yes; then
b53c05f5
DL
737 CFLAGS="-g -O2"
738 else
7a48ce6d 739 CFLAGS="-g"
b53c05f5
DL
740 fi
741else
7a48ce6d
CB
742 if test "$GCC" = yes; then
743 CFLAGS="-O2"
744 else
745 CFLAGS=
746 fi
b53c05f5
DL
747fi
748
749
750test "$AR" || AR=ar
751
752echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
7a48ce6d 753echo "configure:754: checking whether ${MAKE-make} sets \${MAKE}" >&5
b53c05f5
DL
754set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
755if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
756 echo $ac_n "(cached) $ac_c" 1>&6
757else
758 cat > conftestmake <<\EOF
759all:
760 @echo 'ac_maketemp="${MAKE}"'
761EOF
762# GNU make sometimes prints "make[1]: Entering...", which would confuse us.
763eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
764if test -n "$ac_maketemp"; then
765 eval ac_cv_prog_make_${ac_make}_set=yes
766else
767 eval ac_cv_prog_make_${ac_make}_set=no
768fi
769rm -f conftestmake
770fi
771if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
772 echo "$ac_t""yes" 1>&6
773 SET_MAKE=
774else
775 echo "$ac_t""no" 1>&6
776 SET_MAKE="MAKE=${MAKE-make}"
777fi
778
779
780
781# Sanity check for the cross-compilation case:
782echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
7a48ce6d 783echo "configure:784: checking how to run the C preprocessor" >&5
b53c05f5
DL
784# On Suns, sometimes $CPP names a directory.
785if test -n "$CPP" && test -d "$CPP"; then
786 CPP=
787fi
788if test -z "$CPP"; then
789if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
790 echo $ac_n "(cached) $ac_c" 1>&6
791else
792 # This must be in double quotes, not single quotes, because CPP may get
793 # substituted into the Makefile and "${CC-cc}" will confuse make.
794 CPP="${CC-cc} -E"
795 # On the NeXT, cc -E runs the code through the compiler's parser,
796 # not just through cpp.
797 cat > conftest.$ac_ext <<EOF
7a48ce6d 798#line 799 "configure"
b53c05f5
DL
799#include "confdefs.h"
800#include <assert.h>
801Syntax Error
802EOF
803ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
7a48ce6d
CB
804{ (eval echo configure:805: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
805ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
b53c05f5
DL
806if test -z "$ac_err"; then
807 :
808else
809 echo "$ac_err" >&5
810 echo "configure: failed program was:" >&5
811 cat conftest.$ac_ext >&5
812 rm -rf conftest*
813 CPP="${CC-cc} -E -traditional-cpp"
814 cat > conftest.$ac_ext <<EOF
7a48ce6d 815#line 816 "configure"
b53c05f5
DL
816#include "confdefs.h"
817#include <assert.h>
818Syntax Error
819EOF
820ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
7a48ce6d
CB
821{ (eval echo configure:822: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
822ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
823if test -z "$ac_err"; then
824 :
825else
826 echo "$ac_err" >&5
827 echo "configure: failed program was:" >&5
828 cat conftest.$ac_ext >&5
829 rm -rf conftest*
830 CPP="${CC-cc} -nologo -E"
831 cat > conftest.$ac_ext <<EOF
832#line 833 "configure"
833#include "confdefs.h"
834#include <assert.h>
835Syntax Error
836EOF
837ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
838{ (eval echo configure:839: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
839ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
b53c05f5
DL
840if test -z "$ac_err"; then
841 :
842else
843 echo "$ac_err" >&5
844 echo "configure: failed program was:" >&5
845 cat conftest.$ac_ext >&5
846 rm -rf conftest*
847 CPP=/lib/cpp
848fi
849rm -f conftest*
850fi
7a48ce6d
CB
851rm -f conftest*
852fi
b53c05f5
DL
853rm -f conftest*
854 ac_cv_prog_CPP="$CPP"
855fi
856 CPP="$ac_cv_prog_CPP"
857else
858 ac_cv_prog_CPP="$CPP"
859fi
860echo "$ac_t""$CPP" 1>&6
861
862ac_safe=`echo "stdio.h" | sed 'y%./+-%__p_%'`
863echo $ac_n "checking for stdio.h""... $ac_c" 1>&6
7a48ce6d 864echo "configure:865: checking for stdio.h" >&5
b53c05f5
DL
865if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
866 echo $ac_n "(cached) $ac_c" 1>&6
867else
868 cat > conftest.$ac_ext <<EOF
7a48ce6d 869#line 870 "configure"
b53c05f5
DL
870#include "confdefs.h"
871#include <stdio.h>
872EOF
873ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
7a48ce6d
CB
874{ (eval echo configure:875: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
875ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
b53c05f5
DL
876if test -z "$ac_err"; then
877 rm -rf conftest*
878 eval "ac_cv_header_$ac_safe=yes"
879else
880 echo "$ac_err" >&5
881 echo "configure: failed program was:" >&5
882 cat conftest.$ac_ext >&5
883 rm -rf conftest*
884 eval "ac_cv_header_$ac_safe=no"
885fi
886rm -f conftest*
887fi
888if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
889 echo "$ac_t""yes" 1>&6
890 :
891else
892 echo "$ac_t""no" 1>&6
893{ echo "configure: error: Can't find stdio.h.
894You must have a usable C system for the target already installed, at least
895including headers and, preferably, the library, before you can configure
896the G77 runtime system. If necessary, install gcc now with \`LANGUAGES=c',
897then the target library, then build with \`LANGUAGES=f77'." 1>&2; exit 1; }
898fi
899
900
901echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
7a48ce6d 902echo "configure:903: checking for ANSI C header files" >&5
b53c05f5
DL
903if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
904 echo $ac_n "(cached) $ac_c" 1>&6
905else
906 cat > conftest.$ac_ext <<EOF
7a48ce6d 907#line 908 "configure"
b53c05f5
DL
908#include "confdefs.h"
909#include <stdlib.h>
910#include <stdarg.h>
911#include <string.h>
912#include <float.h>
913EOF
914ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
7a48ce6d
CB
915{ (eval echo configure:916: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
916ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
b53c05f5
DL
917if test -z "$ac_err"; then
918 rm -rf conftest*
919 ac_cv_header_stdc=yes
920else
921 echo "$ac_err" >&5
922 echo "configure: failed program was:" >&5
923 cat conftest.$ac_ext >&5
924 rm -rf conftest*
925 ac_cv_header_stdc=no
926fi
927rm -f conftest*
928
929if test $ac_cv_header_stdc = yes; then
930 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
931cat > conftest.$ac_ext <<EOF
7a48ce6d 932#line 933 "configure"
b53c05f5
DL
933#include "confdefs.h"
934#include <string.h>
935EOF
936if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
937 egrep "memchr" >/dev/null 2>&1; then
938 :
939else
940 rm -rf conftest*
941 ac_cv_header_stdc=no
942fi
943rm -f conftest*
944
945fi
946
947if test $ac_cv_header_stdc = yes; then
948 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
949cat > conftest.$ac_ext <<EOF
7a48ce6d 950#line 951 "configure"
b53c05f5
DL
951#include "confdefs.h"
952#include <stdlib.h>
953EOF
954if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
955 egrep "free" >/dev/null 2>&1; then
956 :
957else
958 rm -rf conftest*
959 ac_cv_header_stdc=no
960fi
961rm -f conftest*
962
963fi
964
965if test $ac_cv_header_stdc = yes; then
966 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
967if test "$cross_compiling" = yes; then
968 :
969else
970 cat > conftest.$ac_ext <<EOF
7a48ce6d 971#line 972 "configure"
b53c05f5
DL
972#include "confdefs.h"
973#include <ctype.h>
974#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
975#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
976#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
977int main () { int i; for (i = 0; i < 256; i++)
978if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
979exit (0); }
980
981EOF
7a48ce6d 982if { (eval echo configure:983: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
b53c05f5
DL
983then
984 :
985else
986 echo "configure: failed program was:" >&5
987 cat conftest.$ac_ext >&5
988 rm -fr conftest*
989 ac_cv_header_stdc=no
990fi
991rm -fr conftest*
992fi
993
994fi
995fi
996
997echo "$ac_t""$ac_cv_header_stdc" 1>&6
998if test $ac_cv_header_stdc = yes; then
999 cat >> confdefs.h <<\EOF
1000#define STDC_HEADERS 1
1001EOF
1002
1003fi
1004
1005
1006echo $ac_n "checking for posix""... $ac_c" 1>&6
7a48ce6d 1007echo "configure:1008: checking for posix" >&5
b53c05f5
DL
1008if eval "test \"`echo '$''{'g77_cv_header_posix'+set}'`\" = set"; then
1009 echo $ac_n "(cached) $ac_c" 1>&6
1010else
1011 cat > conftest.$ac_ext <<EOF
7a48ce6d 1012#line 1013 "configure"
b53c05f5
DL
1013#include "confdefs.h"
1014#include <sys/types.h>
1015#include <unistd.h>
1016#ifdef _POSIX_VERSION
1017 yes
1018#endif
1019
1020EOF
1021if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1022 egrep "yes" >/dev/null 2>&1; then
1023 rm -rf conftest*
1024 g77_cv_header_posix=yes
1025else
1026 rm -rf conftest*
1027 g77_cv_header_posix=no
1028fi
1029rm -f conftest*
1030
1031fi
1032
1033echo "$ac_t""$g77_cv_header_posix" 1>&6
1034
1035# We can rely on the GNU library being posix-ish. I guess checking the
1036# header isn't actually like checking the functions, though...
1037echo $ac_n "checking for GNU library""... $ac_c" 1>&6
7a48ce6d 1038echo "configure:1039: checking for GNU library" >&5
b53c05f5
DL
1039if eval "test \"`echo '$''{'g77_cv_lib_gnu'+set}'`\" = set"; then
1040 echo $ac_n "(cached) $ac_c" 1>&6
1041else
1042 cat > conftest.$ac_ext <<EOF
7a48ce6d 1043#line 1044 "configure"
b53c05f5
DL
1044#include "confdefs.h"
1045#include <stdio.h>
1046#ifdef __GNU_LIBRARY__
1047 yes
1048#endif
1049
1050EOF
1051if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1052 egrep "yes" >/dev/null 2>&1; then
1053 rm -rf conftest*
1054 g77_cv_lib_gnu=yes
1055else
1056 rm -rf conftest*
1057 g77_cv_lib_gnu=no
1058fi
1059rm -f conftest*
1060
1061fi
1062
1063echo "$ac_t""$g77_cv_lib_gnu" 1>&6
1064
1065echo $ac_n "checking return type of signal handlers""... $ac_c" 1>&6
7a48ce6d 1066echo "configure:1067: checking return type of signal handlers" >&5
b53c05f5
DL
1067if eval "test \"`echo '$''{'ac_cv_type_signal'+set}'`\" = set"; then
1068 echo $ac_n "(cached) $ac_c" 1>&6
1069else
1070 cat > conftest.$ac_ext <<EOF
7a48ce6d 1071#line 1072 "configure"
b53c05f5
DL
1072#include "confdefs.h"
1073#include <sys/types.h>
1074#include <signal.h>
1075#ifdef signal
1076#undef signal
1077#endif
1078#ifdef __cplusplus
1079extern "C" void (*signal (int, void (*)(int)))(int);
1080#else
1081void (*signal ()) ();
1082#endif
1083
1084int main() {
1085int i;
1086; return 0; }
1087EOF
7a48ce6d 1088if { (eval echo configure:1089: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
b53c05f5
DL
1089 rm -rf conftest*
1090 ac_cv_type_signal=void
1091else
1092 echo "configure: failed program was:" >&5
1093 cat conftest.$ac_ext >&5
1094 rm -rf conftest*
1095 ac_cv_type_signal=int
1096fi
1097rm -f conftest*
1098fi
1099
1100echo "$ac_t""$ac_cv_type_signal" 1>&6
1101cat >> confdefs.h <<EOF
1102#define RETSIGTYPE $ac_cv_type_signal
1103EOF
1104
1105
1106# we'll get atexit by default
1107if test $ac_cv_header_stdc != yes; then
1108echo $ac_n "checking for atexit""... $ac_c" 1>&6
7a48ce6d 1109echo "configure:1110: checking for atexit" >&5
b53c05f5
DL
1110if eval "test \"`echo '$''{'ac_cv_func_atexit'+set}'`\" = set"; then
1111 echo $ac_n "(cached) $ac_c" 1>&6
1112else
1113 cat > conftest.$ac_ext <<EOF
7a48ce6d 1114#line 1115 "configure"
b53c05f5
DL
1115#include "confdefs.h"
1116/* System header to define __stub macros and hopefully few prototypes,
1117 which can conflict with char atexit(); below. */
1118#include <assert.h>
1119/* Override any gcc2 internal prototype to avoid an error. */
1120/* We use char because int might match the return type of a gcc2
1121 builtin and then its argument prototype would still apply. */
1122char atexit();
1123
1124int main() {
1125
1126/* The GNU C library defines this for functions which it implements
1127 to always fail with ENOSYS. Some functions are actually named
1128 something starting with __ and the normal name is an alias. */
1129#if defined (__stub_atexit) || defined (__stub___atexit)
1130choke me
1131#else
1132atexit();
1133#endif
1134
1135; return 0; }
1136EOF
7a48ce6d 1137if { (eval echo configure:1138: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
b53c05f5
DL
1138 rm -rf conftest*
1139 eval "ac_cv_func_atexit=yes"
1140else
1141 echo "configure: failed program was:" >&5
1142 cat conftest.$ac_ext >&5
1143 rm -rf conftest*
1144 eval "ac_cv_func_atexit=no"
1145fi
1146rm -f conftest*
1147fi
1148
1149if eval "test \"`echo '$ac_cv_func_'atexit`\" = yes"; then
1150 echo "$ac_t""yes" 1>&6
1151 cat >> confdefs.h <<\EOF
1152#define onexit atexit
1153EOF
1154
1155else
1156 echo "$ac_t""no" 1>&6
1157 cat >> confdefs.h <<\EOF
1158#define NO_ONEXIT 1
1159EOF
1160
1161 echo $ac_n "checking for onexit""... $ac_c" 1>&6
7a48ce6d 1162echo "configure:1163: checking for onexit" >&5
b53c05f5
DL
1163if eval "test \"`echo '$''{'ac_cv_func_onexit'+set}'`\" = set"; then
1164 echo $ac_n "(cached) $ac_c" 1>&6
1165else
1166 cat > conftest.$ac_ext <<EOF
7a48ce6d 1167#line 1168 "configure"
b53c05f5
DL
1168#include "confdefs.h"
1169/* System header to define __stub macros and hopefully few prototypes,
1170 which can conflict with char onexit(); below. */
1171#include <assert.h>
1172/* Override any gcc2 internal prototype to avoid an error. */
1173/* We use char because int might match the return type of a gcc2
1174 builtin and then its argument prototype would still apply. */
1175char onexit();
1176
1177int main() {
1178
1179/* The GNU C library defines this for functions which it implements
1180 to always fail with ENOSYS. Some functions are actually named
1181 something starting with __ and the normal name is an alias. */
1182#if defined (__stub_onexit) || defined (__stub___onexit)
1183choke me
1184#else
1185onexit();
1186#endif
1187
1188; return 0; }
1189EOF
7a48ce6d 1190if { (eval echo configure:1191: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
b53c05f5
DL
1191 rm -rf conftest*
1192 eval "ac_cv_func_onexit=yes"
1193else
1194 echo "configure: failed program was:" >&5
1195 cat conftest.$ac_ext >&5
1196 rm -rf conftest*
1197 eval "ac_cv_func_onexit=no"
1198fi
1199rm -f conftest*
1200fi
1201
1202if eval "test \"`echo '$ac_cv_func_'onexit`\" = yes"; then
1203 echo "$ac_t""yes" 1>&6
1204 :
1205else
1206 echo "$ac_t""no" 1>&6
1207echo $ac_n "checking for on_exit""... $ac_c" 1>&6
7a48ce6d 1208echo "configure:1209: checking for on_exit" >&5
b53c05f5
DL
1209if eval "test \"`echo '$''{'ac_cv_func_on_exit'+set}'`\" = set"; then
1210 echo $ac_n "(cached) $ac_c" 1>&6
1211else
1212 cat > conftest.$ac_ext <<EOF
7a48ce6d 1213#line 1214 "configure"
b53c05f5
DL
1214#include "confdefs.h"
1215/* System header to define __stub macros and hopefully few prototypes,
1216 which can conflict with char on_exit(); below. */
1217#include <assert.h>
1218/* Override any gcc2 internal prototype to avoid an error. */
1219/* We use char because int might match the return type of a gcc2
1220 builtin and then its argument prototype would still apply. */
1221char on_exit();
1222
1223int main() {
1224
1225/* The GNU C library defines this for functions which it implements
1226 to always fail with ENOSYS. Some functions are actually named
1227 something starting with __ and the normal name is an alias. */
1228#if defined (__stub_on_exit) || defined (__stub___on_exit)
1229choke me
1230#else
1231on_exit();
1232#endif
1233
1234; return 0; }
1235EOF
7a48ce6d 1236if { (eval echo configure:1237: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
b53c05f5
DL
1237 rm -rf conftest*
1238 eval "ac_cv_func_on_exit=yes"
1239else
1240 echo "configure: failed program was:" >&5
1241 cat conftest.$ac_ext >&5
1242 rm -rf conftest*
1243 eval "ac_cv_func_on_exit=no"
1244fi
1245rm -f conftest*
1246fi
1247
1248if eval "test \"`echo '$ac_cv_func_'on_exit`\" = yes"; then
1249 echo "$ac_t""yes" 1>&6
1250 cat >> confdefs.h <<\EOF
1251#define onexit on_exit
1252EOF
1253
1254else
1255 echo "$ac_t""no" 1>&6
1256fi
1257
1258fi
1259
1260fi
1261
1262else true
1263fi
1264
1265echo $ac_n "checking for drem in -lm""... $ac_c" 1>&6
7a48ce6d 1266echo "configure:1267: checking for drem in -lm" >&5
b53c05f5
DL
1267ac_lib_var=`echo m'_'drem | sed 'y%./+-%__p_%'`
1268if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1269 echo $ac_n "(cached) $ac_c" 1>&6
1270else
1271 ac_save_LIBS="$LIBS"
1272LIBS="-lm $LIBS"
1273cat > conftest.$ac_ext <<EOF
7a48ce6d 1274#line 1275 "configure"
b53c05f5
DL
1275#include "confdefs.h"
1276/* Override any gcc2 internal prototype to avoid an error. */
1277/* We use char because int might match the return type of a gcc2
1278 builtin and then its argument prototype would still apply. */
1279char drem();
1280
1281int main() {
1282drem()
1283; return 0; }
1284EOF
7a48ce6d 1285if { (eval echo configure:1286: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
b53c05f5
DL
1286 rm -rf conftest*
1287 eval "ac_cv_lib_$ac_lib_var=yes"
1288else
1289 echo "configure: failed program was:" >&5
1290 cat conftest.$ac_ext >&5
1291 rm -rf conftest*
1292 eval "ac_cv_lib_$ac_lib_var=no"
1293fi
1294rm -f conftest*
1295LIBS="$ac_save_LIBS"
1296
1297fi
1298if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1299 echo "$ac_t""yes" 1>&6
1300 cat >> confdefs.h <<\EOF
1301#define IEEE_drem 1
1302EOF
1303
1304else
1305 echo "$ac_t""no" 1>&6
1306fi
1307
1308
1309cat >> confdefs.h <<\EOF
1310#define Skip_f2c_Undefs 1
1311EOF
1312
f01fc059
ZW
1313cat >> confdefs.h <<\EOF
1314#define IEEE_COMPLEX_DIVIDE 1
1315EOF
1316
b53c05f5
DL
1317
1318trap '' 1 2 15
1319cat > confcache <<\EOF
1320# This file is a shell script that caches the results of configure
1321# tests run on this system so they can be shared between configure
1322# scripts and configure runs. It is not useful on other systems.
1323# If it contains results you don't want to keep, you may remove or edit it.
1324#
1325# By default, configure uses ./config.cache as the cache file,
1326# creating it if it does not exist already. You can give configure
1327# the --cache-file=FILE option to use a different cache file; that is
1328# what configure does when it calls configure scripts in
1329# subdirectories, so they share the cache.
1330# Giving --cache-file=/dev/null disables caching, for debugging configure.
1331# config.status only pays attention to the cache file if you give it the
1332# --recheck option to rerun configure.
1333#
1334EOF
1335# The following way of writing the cache mishandles newlines in values,
1336# but we know of no workaround that is simple, portable, and efficient.
1337# So, don't put newlines in cache variables' values.
1338# Ultrix sh set writes to stderr and can't be redirected directly,
1339# and sets the high bit in the cache file unless we assign to the vars.
1340(set) 2>&1 |
7a48ce6d 1341 case `(ac_space=' '; set | grep ac_space) 2>&1` in
b53c05f5
DL
1342 *ac_space=\ *)
1343 # `set' does not quote correctly, so add quotes (double-quote substitution
1344 # turns \\\\ into \\, and sed turns \\ into \).
1345 sed -n \
1346 -e "s/'/'\\\\''/g" \
1347 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1348 ;;
1349 *)
1350 # `set' quotes correctly as required by POSIX, so do not add quotes.
1351 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1352 ;;
1353 esac >> confcache
1354if cmp -s $cache_file confcache; then
1355 :
1356else
1357 if test -w $cache_file; then
1358 echo "updating cache $cache_file"
1359 cat confcache > $cache_file
1360 else
1361 echo "not updating unwritable cache $cache_file"
1362 fi
1363fi
1364rm -f confcache
1365
1366trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1367
1368test "x$prefix" = xNONE && prefix=$ac_default_prefix
1369# Let make expand exec_prefix.
1370test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1371
1372# Any assignment to VPATH causes Sun make to only execute
1373# the first set of double-colon rules, so remove it if not needed.
1374# If there is a colon in the path, we need to keep it.
1375if test "x$srcdir" = x.; then
1376 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1377fi
1378
1379trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1380
1381# Transform confdefs.h into DEFS.
1382# Protect against shell expansion while executing Makefile rules.
1383# Protect against Makefile macro expansion.
1384cat > conftest.defs <<\EOF
1385s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
1386s%[ `~#$^&*(){}\\|;'"<>?]%\\&%g
1387s%\[%\\&%g
1388s%\]%\\&%g
1389s%\$%$$%g
1390EOF
1391DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
1392rm -f conftest.defs
1393
1394
1395# Without the "./", some shells look in PATH for config.status.
1396: ${CONFIG_STATUS=./config.status}
1397
1398echo creating $CONFIG_STATUS
1399rm -f $CONFIG_STATUS
1400cat > $CONFIG_STATUS <<EOF
1401#! /bin/sh
1402# Generated automatically by configure.
1403# Run this file to recreate the current configuration.
1404# This directory was configured as follows,
1405# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1406#
1407# $0 $ac_configure_args
1408#
1409# Compiler output produced by configure, useful for debugging
1410# configure, is in ./config.log if it exists.
1411
1412ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1413for ac_option
1414do
1415 case "\$ac_option" in
1416 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1417 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1418 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1419 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
7a48ce6d 1420 echo "$CONFIG_STATUS generated by autoconf version 2.13"
b53c05f5
DL
1421 exit 0 ;;
1422 -help | --help | --hel | --he | --h)
1423 echo "\$ac_cs_usage"; exit 0 ;;
1424 *) echo "\$ac_cs_usage"; exit 1 ;;
1425 esac
1426done
1427
1428ac_given_srcdir=$srcdir
1429
1430trap 'rm -fr `echo "Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1431EOF
1432cat >> $CONFIG_STATUS <<EOF
1433
1434# Protect against being on the right side of a sed subst in config.status.
1435sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1436 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1437$ac_vpsub
1438$extrasub
1439s%@SHELL@%$SHELL%g
1440s%@CFLAGS@%$CFLAGS%g
1441s%@CPPFLAGS@%$CPPFLAGS%g
1442s%@CXXFLAGS@%$CXXFLAGS%g
7a48ce6d 1443s%@FFLAGS@%$FFLAGS%g
b53c05f5
DL
1444s%@DEFS@%$DEFS%g
1445s%@LDFLAGS@%$LDFLAGS%g
1446s%@LIBS@%$LIBS%g
1447s%@exec_prefix@%$exec_prefix%g
1448s%@prefix@%$prefix%g
1449s%@program_transform_name@%$program_transform_name%g
1450s%@bindir@%$bindir%g
1451s%@sbindir@%$sbindir%g
1452s%@libexecdir@%$libexecdir%g
1453s%@datadir@%$datadir%g
1454s%@sysconfdir@%$sysconfdir%g
1455s%@sharedstatedir@%$sharedstatedir%g
1456s%@localstatedir@%$localstatedir%g
1457s%@libdir@%$libdir%g
1458s%@includedir@%$includedir%g
1459s%@oldincludedir@%$oldincludedir%g
1460s%@infodir@%$infodir%g
1461s%@mandir@%$mandir%g
1462s%@CC@%$CC%g
1463s%@AR@%$AR%g
1464s%@SET_MAKE@%$SET_MAKE%g
1465s%@CPP@%$CPP%g
1466
1467CEOF
1468EOF
1469
1470cat >> $CONFIG_STATUS <<\EOF
1471
1472# Split the substitutions into bite-sized pieces for seds with
1473# small command number limits, like on Digital OSF/1 and HP-UX.
1474ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1475ac_file=1 # Number of current file.
1476ac_beg=1 # First line for current file.
1477ac_end=$ac_max_sed_cmds # Line after last line for current file.
1478ac_more_lines=:
1479ac_sed_cmds=""
1480while $ac_more_lines; do
1481 if test $ac_beg -gt 1; then
1482 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1483 else
1484 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1485 fi
1486 if test ! -s conftest.s$ac_file; then
1487 ac_more_lines=false
1488 rm -f conftest.s$ac_file
1489 else
1490 if test -z "$ac_sed_cmds"; then
1491 ac_sed_cmds="sed -f conftest.s$ac_file"
1492 else
1493 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1494 fi
1495 ac_file=`expr $ac_file + 1`
1496 ac_beg=$ac_end
1497 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1498 fi
1499done
1500if test -z "$ac_sed_cmds"; then
1501 ac_sed_cmds=cat
1502fi
1503EOF
1504
1505cat >> $CONFIG_STATUS <<EOF
1506
1507CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1508EOF
1509cat >> $CONFIG_STATUS <<\EOF
1510for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1511 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1512 case "$ac_file" in
1513 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1514 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1515 *) ac_file_in="${ac_file}.in" ;;
1516 esac
1517
1518 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1519
1520 # Remove last slash and all that follows it. Not all systems have dirname.
1521 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1522 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1523 # The file is in a subdirectory.
1524 test ! -d "$ac_dir" && mkdir "$ac_dir"
1525 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1526 # A "../" for each directory in $ac_dir_suffix.
1527 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1528 else
1529 ac_dir_suffix= ac_dots=
1530 fi
1531
1532 case "$ac_given_srcdir" in
1533 .) srcdir=.
1534 if test -z "$ac_dots"; then top_srcdir=.
1535 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1536 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1537 *) # Relative path.
1538 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1539 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1540 esac
1541
1542
1543 echo creating "$ac_file"
1544 rm -f "$ac_file"
1545 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1546 case "$ac_file" in
1547 *Makefile*) ac_comsub="1i\\
1548# $configure_input" ;;
1549 *) ac_comsub= ;;
1550 esac
1551
1552 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1553 sed -e "$ac_comsub
1554s%@configure_input@%$configure_input%g
1555s%@srcdir@%$srcdir%g
1556s%@top_srcdir@%$top_srcdir%g
1557" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1558fi; done
1559rm -f conftest.s*
1560
1561EOF
1562cat >> $CONFIG_STATUS <<EOF
1563
1564EOF
1565cat >> $CONFIG_STATUS <<\EOF
1566
1567exit 0
1568EOF
1569chmod +x $CONFIG_STATUS
1570rm -fr confdefs* $ac_clean_files
1571test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1572
1573